// Copyright (c) The Avalonia Project. All rights reserved.
// Licensed under the MIT license. See licence.md file in the project root for full license information.

namespace Avalonia.Media
{
    /// <summary>
    /// Describes how content is positioned horizontally in a container.
    /// </summary>
    public enum AlignmentX
    {
        /// <summary>
        /// The contents align themselves with the left of the container
        /// </summary>
        Left,

        /// <summary>
        /// The contents align themselves with the center of the container
        /// </summary>
        Center,

        /// <summary>
        /// The contents align themselves with the right of the container
        /// </summary>
        Right,
    }
}
